'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const updateFormControl = (node, value) => {
  if (node.hasAttribute("multiple") && node.nodeName === "SELECT") {
    Array.from(node.querySelectorAll("option")).forEach((option) => {
      option.selected = value.includes(option.value);
    });
    return;
  }

  let checked;

  switch (node.getAttribute("type")) {
    case "checkbox":
      checked = value;
      if (node.checked === checked) break;
      if (checked) {
        node.setAttribute("checked", "");
      } else {
        node.removeAttribute("checked");
      }
      break;
    case "radio":
      checked = value === node.getAttribute("value");
      if (node.checked === checked) break;
      node.checked = checked;
      if (checked) {
        node.setAttribute("checked", "");
      } else {
        node.removeAttribute("checked");
      }
      break;
    default:
      if (node.value === value) break;
      node.setAttribute("value", (node.value = value || ""));
      break;
  }
};

exports.updateFormControl = updateFormControl;
